DROP PROCEDURE TMP_OP_CCSALESPERSONDETInsProc
GO
CREATE PROCEDURE TMP_OP_CCSALESPERSONDETInsProc
(   @CORRNBR	    INT,
    @SITEID	    UD_IDSITE,
    @DATEPROCE      UD_FECHA,
    @SALESPERID     UD_SALESPERSONID,
    @CCSALESPERSONTYPEID	CHAR(2),
    @TOTALPEN       UD_MONTO,
    @TOTALUSD       UD_MONTO,
    @OBS	    VARCHAR(100)
)
AS
BEGIN
    BEGIN TRAN

    INSERT INTO TMP_OP_CCSALESPERSONDET(CORRNBR,SITEID,DATEPROCE,SALESPERID,CCSALESPERSONTYPEID,TOTALPEN,TOTALUSD,OBS)
    VALUES(@CORRNBR,@SITEID,@DATEPROCE,@SALESPERID,@CCSALESPERSONTYPEID,@TOTALPEN,@TOTALUSD,@OBS)

    IF (@@error!=0 or @@rowcount=0)
    BEGIN
        ROLLBACK TRAN
	RAISERROR 20000 'Error Insertando en TMP_OP_CCSALESPERSONDET'
        RETURN(1)
    
    END

    COMMIT TRAN

END
